module.exports = {
  root: true,
  env: { browser: true, es2020: true, mocha: true },
  extends: [
    'eslint:recommended',
    'airbnb',
    'plugin:chai-friendly/recommended',
  ],
  ignorePatterns: ['hardhat.config.js'],
  parserOptions: { ecmaVersion: 'latest', sourceType: 'module' },
  settings: { react: { version: '18.2' } },
  plugins: [
    'chai-friendly',
  ],
  rules: {
    'import/no-extraneous-dependencies': [
      'error',
      {
        devDependencies: ['test/**', 'scripts/**'],
        optionalDependencies: false,
        peerDependencies: false,
      },
    ],
    'no-console': 0,
  },
};
